View Issue Details

IDProjectCategoryView StatusLast Update
0001529Database Comparer VCLGeneralpublic2019-12-13 09:35
Reportershirokov Assigned Tobarry  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.1.0.1681 
Target Version7.1.0.1681Fixed in Version8.0.0.1693.Beta 
Summary0001529: IB Parser does not accept the use of aliases to feed variables, FB3
Description1. Error: Invalid statement (? assignment)
PSQL:
execute statement (:s) (table_name := table_name, operation := :operation, currentuser := (select id_usuario from vi_usuario_ativo),
clientaddress := rdb$get_context('SYSTEM', 'CLIENT_ADDRESS'), protocol := rdb$get_context('SYSTEM', 'NETWORK_PROTOCOL'),
PK1 := :PK1, PK2 := :PK2, PK3 := :PK3, PK4 := :PK4, PK5 := :PK5, PK6 := :PK6, PK7 := :PK7, PK8 := :PK8)

2. Doesn't allow the use of USING:
Error: Missing: INTO (<Ident>: USING)
PSQL:
select (...)
 from docto_item i
 left join docto_item_icms icms using (id_filial, id_docto, id_item)
(...)
 where i.id_filial = :in_id_filial and i.id_docto = :in_id_docto
 into (...);

3. Doesn't recognize the extract(millisecond ...).
Error: Invalid <part> in EXTRACT(part FROM value) function
PSQL:
extract(millisecond from new.alteracao_local)

See the attached databases.
TagsNo tags attached.

Activities

shirokov

2019-06-27 17:20

administrator  

TESTE CLEVER.rar (120,015 bytes)

Issue History

Date Modified Username Field Change
2019-06-27 17:20 shirokov New Issue
2019-06-27 17:20 shirokov Status new => assigned
2019-06-27 17:20 shirokov Assigned To => barry
2019-06-27 17:20 shirokov File Added: TESTE CLEVER.rar
2019-12-12 23:30 barry Status assigned => acknowledged
2019-12-12 23:36 barry Status acknowledged => confirmed
2019-12-13 09:35 barry Status confirmed => resolved
2019-12-13 09:35 barry Resolution open => fixed
2019-12-13 09:35 barry Fixed in Version => 8.0.0.1693.Beta